Subject: bug#25699: GZIPs deprecated environment variable

From: Bachsau <[email-masked]>
Date: Sun, 12 Feb 2017 23:52:02 +0100

Hey!

As a sysadmin I want to decide about the default compression ratio 
myself. This is why I set up a system wide environment variable with 
GZIP=-9. Now it keeps tellig me that this is deprecated and will be 
removed. But there is no replacement for it. I think gzip is in 
desperate need of a global configuration file.

Sure, I can use an alias or script as suggested by gzip itself, but that 
will not be picked up by update scripts and such stuff, which build, for 
example, initial ramdisks, and come with the distribution. With 
deprecating the environment variable an important way of influencing 
gzip's behavior is taken from us.